@charset 'utf-8';
/* ==========================================================================
Author        :  Arif Lutfhansah
Create        :  20 April 2018
Last Update   :  2 April 2020

Source  :
  1: Arif Framework The MIT License (MIT) Copyright (c) Arif Lutfhansah
  2: Bootstrap Framework The MIT License (MIT) Copyright (c) Bootstrap
  3: Materialize Framework The MIT License (MIT) Copyright (c) 2014-2017 Materialize

Contents  :
  1: Header Section

  Copyright (c) 2020 Arif Lutfhansah
  
========================================================================== */

/*
  Transition
-------------------------------------*/
@mixin transition($time) {
  -webkit-transition: all $time ease-in-out;
     -moz-transition: all $time ease-in-out;
      -ms-transition: all $time ease-in-out;
       -o-transition: all $time ease-in-out;
          transition: all $time ease-in-out;
}
/*
  Animation Delay
-------------------------------------*/
@mixin animation-delay($time) {
  -webkit-animation-delay: $time;
     -moz-animation-delay: $time;
      -ms-animation-delay: $time;
       -o-animation-delay: $time;
          animation-delay: $time;
}

/*
  Header
-------------------------------------*/
/* --- Content --- */
header {
  position: relative;
  height: 220px;
  background-color: #499AE8;
  z-index: 99;
  .header-top {
    background-color: #418AD0;
    .container {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
    }
    #menu-kanal {
      position: relative;
      li {
        display: inline-block;
        padding: 8px 20px 8px 0;
        &.active {
          a {
            span {
              -webkit-transform: translateY(-100%);
              -moz-transform: translateY(-100%);
              transform: translateY(-100%);
            }
          }
        }
        a {
          position: relative;
          height: 17px;
          padding: 0 9px 0 0;
          overflow: hidden;
          font-size: 14px;
          color: #FFFFFF;
          &:hover {
            span {
              -webkit-transform: translateY(-100%);
              -moz-transform: translateY(-100%);
              transform: translateY(-100%);
            }
          }
          &:focus {
            span {
              -webkit-transform: translateY(-100%);
              -moz-transform: translateY(-100%);
              transform: translateY(-100%);
            }
          }
          span {
            position: relative;
            display: inline-block;
            -webkit-transition: -webkit-transform 0.3s;
            -moz-transition: -moz-transform 0.3s;
            transition: transform 0.3s;
            &::before {
              position: absolute;
              top: 100%;
              content: attr(data-hover);
              font-weight: 700;
              -webkit-transform: translate3d(0,0,0);
              -moz-transform: translate3d(0,0,0);
              transform: translate3d(0,0,0);
            }
          }
        }
        &.kanal-lain {
          &:hover, &:focus {
            .kanal-expand {
              display: flex;
              flex-direction: row;
              justify-content: space-between;
            }
          }
          .content-left {
            width: 170px;
            padding-right: 20px;
            margin-right: 20px;
            border-right: 2px solid #418AD0;
          }
          .content-right {
            width: 150px;
          }
          i {
            position: relative;
            top: 1px;
            padding-left: 5px;
            @include transition(.3s);
          }
          .kanal-expand {
            display: none;
            position: absolute;
            top: 33px;
            right: -33px;
            z-index: 999;
            padding: 8px 32px;
            background-color: #FFFFFF;
            border-radius: 21px;
            box-shadow: 0 1px 5px 0 #D4D4D4;
            &:hover, &:focus {
              .kanal-expand {
                display: flex;
                flex-direction: row;
                justify-content: space-between;
              }
            }
            &:before {
              position: absolute;
              top: -5px;
              right: 63px;
              content: "";
              margin: 0 30px;
              border-bottom: 8px solid #fff;
              border-right: 10px solid transparent;
              border-left: 10px solid transparent;
            }
            li {
              display: block;
              padding: 8px 0;
            }
            a {
              height: auto;
              text-align: center;
              padding: 8px 40px;
              font-weight: 700;
              color: #252525;
              @include transition(.2s);
              &:hover {
                color: #FFFFFF;
                background-color: #418AD0;
                border-radius: 30px;
              }
            }
          }
        }
      }
    }
    #social-media-header {
      padding: 4px 0;
      li {
        display: inline-block;
        padding: 0 8px;
        line-height: 12px;
        a {
          position: relative;
          height: 27px;
          line-height: 29px;
          padding: 0 15px;
          color: #FFFFFF;
          &::before, &::after {
            position: absolute;
            width: 25px;
            height: 2px;
            background: #fff;
            content: '';
            opacity: 0.2;
            -webkit-transition: all 0.3s;
            -moz-transition: all 0.3s;
            transition: all 0.3s;
            pointer-events: none;
          }
          &::before {
            top: 0;
            left: 0;
            -webkit-transform: rotate(90deg);
            -moz-transform: rotate(90deg);
            transform: rotate(90deg);
            -webkit-transform-origin: 0 0;
            -moz-transform-origin: 0 0;
            transform-origin: 0 0;
          }
          &::after {
            right: 0;
            bottom: 0;
            -webkit-transform: rotate(90deg);
            -moz-transform: rotate(90deg);
            transform: rotate(90deg);
            -webkit-transform-origin: 100% 0;
            -moz-transform-origin: 100% 0;
            transform-origin: 100% 0;
          }
          &:hover {
            &::before, &::after {
              opacity: 1;
            }
            &::before {
              left: 50%;
              -webkit-transform: rotate(0deg) translateX(-50%);
              -moz-transform: rotate(0deg) translateX(-50%);
              transform: rotate(0deg) translateX(-50%);
            }
            &::after {
              right: 50%;
              -webkit-transform: rotate(0deg) translateX(50%);
              -moz-transform: rotate(0deg) translateX(50%);
              transform: rotate(0deg) translateX(50%);
            }
          }
          &:focus {
            &::before, &::after {
              opacity: 1;
            }
            &::before {
              left: 50%;
              -webkit-transform: rotate(0deg) translateX(-50%);
              -moz-transform: rotate(0deg) translateX(-50%);
              transform: rotate(0deg) translateX(-50%);
            }
            &::after {
              right: 50%;
              -webkit-transform: rotate(0deg) translateX(50%);
              -moz-transform: rotate(0deg) translateX(50%);
              transform: rotate(0deg) translateX(50%);
            }
          }
        }
      }
    }
  }
  .header-middle {
    .container {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      padding: 52px 0;
    }
    #logo {
      a {
        position: relative;
        &::before, &::after {
          position: absolute;
          content: '';
          opacity: 1;
        }
        &::before {
          top: -20px;
          right: -35px;
          bottom: -20px;
          left: -35px;
          border-top: 2px solid #fff;
          border-bottom: 2px solid #fff;
          -webkit-transform: scale(0,1);
          transform: scale(0,1);
          -webkit-transform-origin: 0 0;
          transform-origin: 0 0;
          opacity: 1;
        }
        &::after {
          top: -35px;
          right: -20px;
          bottom: -35px;
          left: -20px;
          border-right: 2px solid #fff;
          border-left: 2px solid #fff;
          -webkit-transform: scale(1,0);
          transform: scale(1,0);
          -webkit-transform-origin: 100% 0;
          transform-origin: 100% 0;
        }
        &:hover {
          &::before, &::after {
            opacity: 1;
            -webkit-transform: scale(1);
            transform: scale(1);
            -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
            transition: opacity 0.35s, transform 0.35s;
          }
        }
      }
    }
    #search {
      .search-field {
        position: relative;
      }
      #search-input {
        width: 100%;
        height: 42px;
        margin: 0 auto;
        padding: 4px 16px 4px 48px;
        font-size: 14px;
        font-weight: 700;
        color: #1B4DA6;
        border: 1px solid #F4F7FE;
        border-radius: 30px;
        background-color: #F4F7FE;
        z-index: 99;
        transition: all .3s ease-in-out;
        &:focus {
          outline: none;
          padding: 4px 48px 4px 48px;
        }
        &:focus~button.btn-reset {
          z-index: 9;
        }
        &::placeholder {
          color: #499AE8;
        }
      }
      button {
        text-align: center;
        &:focus {
          outline: none;
        }    
      }
      .btn-search {
        position: absolute;
        top: 7px;
        left: 15px;
        width: 26px;
        height: 26px;
        padding: 4px;
        color: #499AE8;
        font-size: 15px;
        border: none;
        background-color: #F4F7FE;
        border-radius: 50%;
        z-index: 99;
        cursor: pointer;
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
      }  
      .btn-reset {
        position: absolute;
        top: 10px;
        right: 10px;
        border: none;
        width: 20px;
        height: 20px;
        padding: 0;
        color: #1B4DA6;
        line-height: 20px;
        background-color: #F4F7FE;
        border: 1px solid #F4F7FE;
        border-radius: 50%;
        cursor: pointer;
        z-index: -1;
        &:before {
          position: relative;
          top: 1.4px;
          right: 2px;
          font-size: 14px;
        }
      }
    }
  }
  .header-bottom {
    #subkanal-navigation {
      position: relative;
      padding: 0 20px;
      background-color: #418AD0;
      border-radius: 40px;
      text-align: center;
      .subkanal {
        position: relative;
        display: inline-block;
        padding: 12px 30px;
        &.active {
          a {
            &::before, &::after {
              opacity: 1;
              -webkit-transform: translateY(-1px);
              -moz-transform: translateY(-1px);
              transform: translateY(-1px);
            }
            &::before {
              height: 5px;
            }
          }
        }
        a {
          &::before, &::after {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 1px;
            background: #FFFFFF;
            content: '';
            opacity: 0;
            -webkit-transition: opacity 0.3s, height 0.3s;
            -moz-transition: opacity 0.3s, height 0.3s;
            transition: opacity 0.3s, height 0.3s;
          }
          &::after {
            top: 100%;
            opacity: 0;
            -webkit-transition: -webkit-transform 0.3s, opacity 0.3s;
            -moz-transition: -moz-transform 0.3s, opacity 0.3s;
            transition: transform 0.3s, opacity 0.3s;
            -webkit-transform: translateY(-10px);
            -moz-transform: translateY(-10px);
            transform: translateY(-10px);
          }
          &:hover {
            &::before, &::after {
              opacity: 1;
              -webkit-transform: translateY(-1px);
              -moz-transform: translateY(-1px);
              transform: translateY(-1px);
            }
            &::before {
              height: 5px;
            }
          }
          &:focus {
            &::before, &::after {
              opacity: 1;
              -webkit-transform: translateY(-1px);
              -moz-transform: translateY(-1px);
              transform: translateY(-1px);
            }
            &::before {
              height: 5px;
            }
          }
        }
      }
      .title {
        text-align: left;
        font-weight: 700;
        color: #FFFFFF;
      }
      .subtitle {
        font-style: italic;
        color: #a4ccf3;
      }
    }
  }
}

/* --- Mask Header --- */
.mask-header {
  position: absolute;
  top: 203px;
  width: 50%;
  height: 40px;
  z-index: 9;
  text-indent: -9999px;
  background-color: #499AE8;
}
